Subject: Re: [PATCH resend v6 17/30] mm: page_alloc: propagate PageReported flag across buddy splits

From: "Michael S. Tsirkin" <[email-masked]>
Date: Tue, 12 May 2026 11:46:46 -0400

On Tue, May 12, 2026 at 11:40:08AM -0400, Gregory Price wrote:
> On Mon, May 11, 2026 at 05:03:19AM -0400, Michael S. Tsirkin wrote:
> > When a reported free page is split via expand() to satisfy a
> > smaller allocation, the sub-pages placed back on the free lists
> > lose the PageReported flag.  This means they will be unnecessarily
> > re-reported to the hypervisor in the next reporting cycle, wasting
> > work.
> >
> 
> Is this issue generated by the changes in the overall patch set, or an
> issue present regardless of the proposed zeroing avoidance feature?
> 
> If the former, then maybe just submit as a standalone patch, seems like
> a useful improvement regardless.

The former but then the only issue is more reporting, and
I couldn't find a benchmark that would quantify the performance
difference.

So the value of pushing a fix by itself is pretty low.

> If fundamentally tied to the zeroing-avoidance feature, then nudging
> this to the front or end of the series (depending on conflicts) would
> help focus the review of the core new feature.
> 
> ~Gregory

I can nudge it forward sure.

-- 
MST